
#ifndef NATURAL_ALIGNMENT_DISTANCE_HPP
#define NATURAL_ALIGNMENT_DISTANCE_HPP

// The distance from the current position to one that is 'naturally' aligned
template<size_t N>
inline size_t natural_alignment_distance(int position)
{
    if ((position <= 0) || ((position % N) == 0))
      return 0;

    return (N - (position % N));
}

#endif // NATURAL_ALIGNMENT_DISTANCE_HPP

